Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions
ArgusSamples::IAppModule Class Reference

A application module exposes command line options, GUI elements and executes tasks. More...

`#include <IAppModule.h>`

Inheritance diagram for ArgusSamples::IAppModule:

List of all members.

## Public Member Functions
| IAppModule ()
virtual | ~IAppModule ()
virtual bool | initialize (Options &options)=0
| Initialize.
virtual bool | shutdown ()=0
| Shut down.
virtual bool | start (Window::IGuiMenuBar *iGuiMenuBar=NULL, Window::IGuiContainer *iGuiContainerConfig=NULL)=0
| Start the module.
virtual bool | stop ()=0
| Stop the module.

## Detailed Description

A application module exposes command line options, GUI elements and executes tasks.

Definition at line 42 of file IAppModule.h.

## Constructor & Destructor Documentation

ArgusSamples::IAppModule::IAppModule | ( |  | ) |
| inline

Definition at line 45 of file IAppModule.h.

virtual ArgusSamples::IAppModule::~IAppModule | ( |  | ) |
| inline virtual

Definition at line 46 of file IAppModule.h.

## Member Function Documentation

virtual bool ArgusSamples::IAppModule::initialize | ( | Options & | options | ) |
| pure virtual

Initialize.

Parameters:

  [in] | options | each app module can add options

Implemented in ArgusSamples::AppModuleCapture, ArgusSamples::AppModuleMultiExposure, ArgusSamples::AppModuleMultiSession, ArgusSamples::AppModuleGeneric, ArgusSamples::AppModuleGallery, and ArgusSamples::AppModuleVideo.

virtual bool ArgusSamples::IAppModule::shutdown | ( |  | ) |
| pure virtual

Shut down.

Implemented in ArgusSamples::AppModuleCapture, ArgusSamples::AppModuleMultiExposure, ArgusSamples::AppModuleMultiSession, ArgusSamples::AppModuleGeneric, ArgusSamples::AppModuleGallery, and ArgusSamples::AppModuleVideo.

virtual bool ArgusSamples::IAppModule::start | ( | Window::IGuiMenuBar * | iGuiMenuBar = `NULL`,
|  | Window::IGuiContainer * | iGuiContainerConfig = `NULL`
| ) |  |
| pure virtual

Start the module.

Parameters:

  [in] | iGuiMenuBar | optional, the module can add menu items to this menu bar
  [in] | iGuiContainerConfig | optional, the module can add configuration options to this container

Implemented in ArgusSamples::AppModuleCapture, ArgusSamples::AppModuleMultiExposure, ArgusSamples::AppModuleMultiSession, ArgusSamples::AppModuleGeneric, ArgusSamples::AppModuleGallery, and ArgusSamples::AppModuleVideo.

virtual bool ArgusSamples::IAppModule::stop | ( |  | ) |
| pure virtual

Stop the module.

Implemented in ArgusSamples::AppModuleCapture, ArgusSamples::AppModuleMultiExposure, ArgusSamples::AppModuleMultiSession, ArgusSamples::AppModuleGeneric, ArgusSamples::AppModuleGallery, and ArgusSamples::AppModuleVideo.

The documentation for this class was generated from the following file:

- ui/common/IAppModule.h